<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('field_job_settings', function (Blueprint $table): void {
            if (! Schema::hasColumn('field_job_settings', 'action_id')) {
                $table->foreignId('action_id')->nullable()->constrained('actions')->nullOnDelete()->after('segment_id');
                $table->index('action_id');
            }
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('field_job_settings', function (Blueprint $table): void {
            if (Schema::hasColumn('field_job_settings', 'action_id')) {
                $table->dropConstrainedForeignId('action_id');
            }
        });
    }
};
